## ros-dashing-controller-parameter-server 0.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(controller_parameter_server)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rcpputils REQUIRED)
find_package(rcutils REQUIRED)
find_package(yaml_cpp_vendor REQUIRED)

add_library(yaml_parser SHARED src/yaml_parser.cpp)
target_include_directories(yaml_parser PUBLIC include)
ament_target_dependencies(yaml_parser
  rcpputils
  yaml_cpp_vendor)
target_compile_definitions(yaml_parser PRIVATE "CONTROLLER_PARAMETER_SERVER_BUILDING_DLL")

add_library(parameter_server SHARED src/parameter_server.cpp)
target_include_directories(parameter_server PUBLIC include)
target_link_libraries(parameter_server yaml_parser)
target_compile_definitions(parameter_server PRIVATE "CONTROLLER_PARAMETER_SERVER_BUILDING_DLL")
ament_target_dependencies(
  parameter_server
  rclcpp
)

add_executable(controller_parameter_server src/controller_parameter_server.cpp)
target_include_directories(controller_parameter_server PRIVATE include)
target_link_libraries(controller_parameter_server parameter_server)

install(
  TARGETS parameter_server yaml_parser
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(TARGETS controller_parameter_server
  DESTINATION lib/${PROJECT_NAME}/
)
install(DIRECTORY include/
  DESTINATION include)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  set(test_config_file ${CMAKE_CURRENT_SOURCE_DIR}/test/config/test_controller_config.yaml)

  ament_add_gtest(
    test_yaml_parser test/test_yaml_parser.cpp
    ENV config_file=${test_config_file})
  target_link_libraries(test_yaml_parser yaml_parser)
  ament_target_dependencies(test_yaml_parser rcutils)

  ament_add_gtest(
    test_parameter_server test/test_parameter_server.cpp
    ENV config_file=${test_config_file})
  target_link_libraries(test_parameter_server parameter_server)
endif()

ament_export_include_directories(
  include
)
ament_export_libraries(
  parameter_server
  yaml_parser
)
ament_export_dependencies(
  yaml_cpp_vendor
)
ament_package()

=== debian/changelog ===
ros-dashing-controller-parameter-server (0.0.1-1bionic) bionic; urgency=high

  * Dashing compatibility (#47 <https://github.com/ros-controls/ros2_control/issues/47>)
  * Contributors: Bence Magyar, Karsten Knese, Parth Chopra

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 05 Feb 2020 08:00:00 -0000

=== debian/control ===
Source: ros-dashing-controller-parameter-server
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-ament-lint-auto, ros-dashing-ament-lint-common, ros-dashing-rclcpp, ros-dashing-rcpputils, ros-dashing-rcutils, ros-dashing-yaml-cpp-vendor, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-controller-parameter-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-rclcpp, ros-dashing-rcpputils, ros-dashing-rcutils, ros-dashing-yaml-cpp-vendor, ros-dashing-ros-workspace
Description: parameter server for loading specific controller configurations

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-controller-parameter-server//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
